summaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorkaa <kaa@disroot.org>2024-07-21 04:01:53 -0700
committerkaa <kaa@disroot.org>2024-07-21 04:01:53 -0700
commit773cd45a8efca0df49233620df1cc932b40fd1d5 (patch)
tree97126e27a71d94a2d318c909b12eb2ae788cc218 /sh
Paragraph macros. Shell script.
Diffstat (limited to 'sh')
-rwxr-xr-xsh/off54
1 files changed, 54 insertions, 0 deletions
diff --git a/sh/off b/sh/off
new file mode 100755
index 0000000..aa92e98
--- /dev/null
+++ b/sh/off
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+BASE="/usr/local/neatroff"
+ROFF="$BASE/neatroff/roff"
+POST="$BASE/neatpost/post"
+PPDF="$BASE/neatpost/pdf"
+EQN="$BASE/neateqn/eqn"
+REFR="$BASE/neatrefer/refer"
+PIC="$BASE/troff/pic/pic"
+TBL="$BASE/troff/tbl/tbl"
+SOIN="$BASE/soin/soin"
+#GRAP="$BASE/troff/all/grap/grap"
+GRAP="9 grap"
+ROFFOPTS="-F$BASE -M$BASE/tmac"
+ROFFMACS="-mpost -mpg"
+POSTOPTS="-F$BASE -w80 -n"
+POSTOPTS="$POSTOPTS -pletter"
+REFROPTS="-m -e -o ct -p ref.bib"
+export GS_FONTPATH=$BASE/fonts
+
+fmt()
+{
+ in=$1
+ shift
+ POSTOPTS="$POSTOPTS $*"
+
+# Process through GhostScript.
+ < $in $TBL | $PIC | $ROFF $ROFFOPTS $ROFFMACS | tee ${in%%.*}.int | $POST $POSTOPTS | tee ${in%%.*}.ps | ps2pdf - ${in%.*}.pdf
+
+# Direct to PDF method. Faster when disk speed is unlimited. If GS_FONTPATH is unset, then the only option. Fonts are embedded very inefficiently.
+# < $in $SOIN | $TBL | $ROFF $ROFFOPTS $ROFFMACS | $PPDF $POSTOPTS > ${in%.*}.pdf
+}
+
+hup()
+{
+ if ! [ $1 ]
+ then
+ return
+ else
+ kill -HUP $1
+ fi
+}
+
+if ! [ -f $1 ] || [ -z $1 ]
+then
+ echo Provide an input file name.
+ exit
+fi
+
+fmt $*
+mupid=$(ps ax | grep "mupdf.*${1%tr}pdf" | \
+ grep -v grep)
+hup $mupid
+